#include "RequestReceiverThread.h"
#include "ClientAdapter/ClientAdapterStub.h"

namespace NS_DM_Client
{
	RequestReceiverThread::RequestReceiverThread(ClientAdapterStub& clientAdapterStub): 
		m_clientAdapterStub(clientAdapterStub)
	{
	}
	//-------------------------------------------------------------------------------------------

	void RequestReceiverThread::run()
	{
		while (m_clientAdapterStub.m_stopReceiving == false)
			m_clientAdapterStub.receiveRequest();
	}
	//-------------------------------------------------------------------------------------------
}